@echo off
title Downloading 'lib4neuro' project dependencies

cls

set "DOWNLOAD_DEP="

rem call VsDevCmd.bat

rem Should we download BOOST? (yes/no)
set DOWNLOAD_DEP=yes

IF "%DOWNLOAD_DEP%"=="yes" (
    echo The required libraries will be downloaded from the official repositories into the directory 'external_dependencies'
	rem pause
)


rem Dependencies download
IF "%DOWNLOAD_DEP%"=="yes" (

	cd ..\..

    rmdir /s /q external_dependencies 2>NUL
	
	git submodule init
	git submodule update --remote
	
	cd external_dependencies\boost
	
		rem Submodules containing headers included in lib4neuro directly, but not required by serialization, system nor random
		rem set BOOST_DEPENDENCIES_LIB4NEURO=libs/algorithm libs/range libs/concept_check libs/test libs/timer libs/exception
		
		rem Submodules required by linked libraries serialization, system or random
		rem set BOOST_DEPENDENCIES=libs/bind libs/container_hash libs/type_index libs/function libs/array libs/optional libs/integer libs/utility libs/move libs/detail libs/throw_exception tools/build libs/config libs/assert libs/predef libs/io libs/spirit libs/smart_ptr libs/static_assert libs/type_traits libs/mpl libs/core libs/preprocessor libs/iterator libs/winapi

		rem Submodules required by lib4neuro
		rem set BOOST_REQUIRED_LIBS=libs/serialization libs/system libs/random
	
		rem echo Running 'submodule update --init %BOOST_DEPENDENCIES_LIB4NEURO% %BOOST_DEPENDENCIES% %BOOST_REQUIRED_LIBS%'
		rem git submodule update  --init libs/algorithm libs/exception libs/range libs/concept_check libs/test libs/timer libs/bind libs/container_hash libs/type_index libs/function libs/array libs/optional libs/integer libs/utility libs/move libs/detail libs/throw_exception tools/build libs/config libs/assert libs/predef libs/io libs/spirit libs/smart_ptr libs/static_assert libs/type_traits libs/mpl libs/core libs/preprocessor libs/iterator libs/winapi libs/serialization libs/system libs/random
		git submodule update  --init

		call bootstrap.bat 
	cd ..\..\build_scripts\windows
)
