MESSAGE("DownloadArmadillo starting...")

SET(ARMADILLO_LOCAL_PATH ${ROOT_DIR}/external_dependencies/armadillo)

INCLUDE(FetchContent)

######################
# Download Armadillo #
######################
FETCHCONTENT_DECLARE(
    armadillo
    SOURCE_DIR ${ARMADILLO_LOCAL_PATH}
    GIT_REPOSITORY https://gitlab.com/conradsnicta/armadillo-code.git
    GIT_TAG 9.300.x  #TODO do some general solution!
)

SET(FETCHCONTENT_QUIET FALSE)

FETCHCONTENT_POPULATE(armadillo)

FIND_PACKAGE(Armadillo)

IF(NOT ARMADILLO_FOUND)
    MESSAGE(FATAL_ERROR "Armadillo was not downloaded successfully!")
ENDIF()

SET(ENV{ARMADILLO_LOCAL_PATH} ${ARMADILLO_LOCAL_PATH})
