MESSAGE("DownloadExprtk starting...")

SET(EXPRTK_LOCAL_PATH ${ROOT_DIR}/external_dependencies/exprtk)

INCLUDE(FetchContent)

###################
# Download exprtk #
###################
FETCHCONTENT_DECLARE(
    exprtk
    SOURCE_DIR ${EXPRTK_LOCAL_PATH}
    GIT_REPOSITORY https://github.com/ArashPartow/exprtk.git
)

SET(FETCHCONTENT_QUIET FALSE)

FETCHCONTENT_POPULATE(exprtk)

FIND_PACKAGE(Exprtk)

IF(NOT EXPRTK_FOUND)
    MESSAGE(FATAL_ERROR "Exprtk was not downloaded successfully!")
ENDIF()

