#ifndef INC_4NEURO_4NEURO_H
#define INC_4NEURO_4NEURO_H

//TODO make only public interface visible

#include "../src/DataSet/DataSet.h"
#include "../src/Network/NeuralNetwork.h"
#include "../src/Network/NeuralNetworkSum.h"
#include "../src/Neuron/Neuron.h"
#include "../src/Neuron/NeuronConstant.h"
#include "../src/Neuron/NeuronBinary.h"
#include "../src/Neuron/NeuronLinear.h"
#include "../src/Neuron/NeuronLogistic.h"
#include "../src/Neuron/NeuronBiased.h"
#include "../src/Neuron/NeuronAbsolute.h"
#include "../src/Neuron/NeuronBinaryBiased.h"
#include "../src/Neuron/NeuronFilter.h"
#include "../src/Neuron/NeuronRectifier.h"
#include "../src/Neuron/NeuronLinearSaturated.h"
#include "../src/Solvers/DESolver.h"
#include "../src/ErrorFunction/ErrorFunctions.h"
#include "../src/LearningMethods/ParticleSwarm.h"
#include "../src/LearningMethods/GradientDescent.h"
#include "../src/LearningMethods/GradientDescentBB.h"
#include "../src/LearningMethods/GradientDescentSingleItem.h"
#include "../src/LearningMethods/LearningSequence.h"
#include "../src/LearningMethods/LevenbergMarquardt.h"
#include "../src/LearningMethods/RandomSolution.h"
#include "../src/CSVReader/CSVReader.h"
#include "../src/CrossValidator/CrossValidator.h"
#include "../src/constants.h"


// Abbreviate lib4neuro namespace to l4n
namespace l4n = lib4neuro;

#endif //INC_4NEURO_4NEURO_H
