/**
 * DESCRIPTION OF THE FILE
 *
 * @author Michal Kravčenko
 * @date 15.3.19 -
 */

#include <boost/serialization/export.hpp>

#include "ConnectionFunctionConstant.h"
#include "ConnectionFunctionConstantSerialization.h"

BOOST_CLASS_EXPORT_IMPLEMENT(ConnectionFunctionConstant);

ConnectionFunctionConstant::ConnectionFunctionConstant(double w) {
    this->weight = w;
}

ConnectionFunctionConstant::~ConnectionFunctionConstant() {

}

double ConnectionFunctionConstant::eval(std::vector<double>& parameter_space) {
    return this->weight;
}

void ConnectionFunctionConstant::eval_partial_derivative(std::vector<double>& parameter_space,
                                                         std::vector<double>& weight_gradient,
                                                         double alpha) {}