/**
 * This file serves for testing of various examples, have fun!
 *
 * @author Michal Kravčenko
 * @date 14.6.18 -
 */

#include <iostream>
#include <cstdio>
#include <fstream>
#include <vector>
#include <utility>
#include <algorithm>
#include <assert.h>

#include "4neuro.h"

int main(int argc,
         char** argv) {

    std::vector<std::pair<std::vector<double>, std::vector<double>>> data_vec;
    std::vector<double>                                              inp, out;

    for (int i                  = 0; i < 3; i++) {
        inp.push_back(i);
        out.push_back(i + 4);
    }

    data_vec.emplace_back(std::make_pair(inp,
                                         out));

    lib4neuro::DataSet DataSet(&data_vec);
    int                elements = DataSet.get_n_elements();
    std::string        filename = "/home/martin/4Neuro/build/unit-tests/testDataSet";
    DataSet.store_text(filename);

    //Test of correct file creations
    lib4neuro::DataSet newDataSet(filename);

    return 0;
}
