MESSAGE("DownloadTurtle starting...")

SET(TURTLE_LOCAL_PATH ${ROOT_DIR}/external_dependencies/turtle)

INCLUDE(FetchContent)

###################
# Download exprtk #
###################
FETCHCONTENT_DECLARE(
    turtle
    SOURCE_DIR ${TURTLE_LOCAL_PATH}
    GIT_REPOSITORY https://github.com/mat007/turtle.git
)

SET(FETCHCONTENT_QUIET FALSE)

FETCHCONTENT_POPULATE(turtle)

FIND_PACKAGE(Turtle)

IF(NOT TURTLE_FOUND)
    MESSAGE(FATAL_ERROR "Turtle was not downloaded successfully!")
ENDIF()

