MESSAGE("FindArmadillo starting...")

# Find headers
FIND_PATH(
    ARMADILLO_INCLUDE_DIR

    NAMES
    armadillo

    HINTS
    $ENV{ARMADILLO_INCLUDE_DIR}
    ${ARMADILLO_INCLUDE_DIR}
    ${ROOT_DIR}/external_dependencies/armadillo/

    PATHS
    /usr
    /home
    /opt

    PATH_SUFFIXES
    include
    armadillo
    include/armadillo
    local
)

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(
    armadillo
    "Armadillo was NOT found!"
    ARMADILLO_INCLUDE_DIR)

IF(armadillo_FOUND)
    MESSAGE(STATUS "Armadillo headers found.")
    MESSAGE(STATUS "ARMADILLO_INCLUDE_DIR: ${ARMADILLO_INCLUDE_DIR}")
    SET(ARMADILLO_ROOT ${ARMADILLO_INCLUDE_DIR}/..)
ENDIF()
